---
title: 'SpeechRecognition: end event'
slug: Web/API/SpeechRecognition/end_event
tags:
  - Event
  - Reference
  - Web Speech API
---
<div>{{APIRef("Web Speech API")}} {{SeeCompatTable}}</div>

<div>
<p>The <code><strong>end</strong></code> event of the <a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a> {{domxref("SpeechRecognition")}} object is fired when the speech recognition service has disconnected.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/SpeechRecognition/onend">onend</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>You can use the <code>end</code> event in an <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener</a></code> method:</p>

<pre class="brush: js">var recognition = new webkitSpeechRecognition() || new SpeechRecognition();

recognition.addEventListener('end', function() {
  console.log('Speech recognition service disconnected');
});</pre>

<p>Or use the <code><a href="/en-US/docs/Web/API/SpeechRecognition/onend">onend</a></code> event handler property:</p>

<pre class="brush: js">recognition.onend = function() {
  console.log('Speech recognition service disconnected');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Speech API', '#speechreco-events', 'speech recognition events')}}</td>
   <td>{{Spec2('Web Speech API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SpeechRecognition.end_event")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
 <li><code><a href="/en-US/docs/Web/API/SpeechRecognition/onend">onend</a></code></li>
</ul>
